com.verisign.epp.codec.registry.v02

## Class EPPRegistryZoneSummary

- java.lang.Object
- - com.verisign.epp.codec.registry.v02.EPPRegistryZoneSummary

- All Implemented Interfaces:
    EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

      public class EPPRegistryZoneSummary
      extends java.lang.Object
      implements EPPCodecComponent

  Represents the summary info of a zone object. Zone summary info of all supported zones is returned is a list when the server receives an <info> command, with a <registry:all> element in it.
  The zone summary info element contains:
  - <registry:name> - fully qualified name of the zone. Use `setName(String)` and `getName()` to access the attribute.
  - <registry:crDate> - date of zone object creation. Use `setCreateDate(Date)` and `getCreateDate()` to access the attribute.
  - <registry:upDate> - optional date of last update. Use `setUpdateDate(Date)` and `getUpdateDate()` to access the attribute.
  See Also:
    `EPPRegistryZoneList`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ATTR_ACCESSIBLE` XML attribute name for the `accessible` attribute.
    `static java.lang.String` | `ELM_LOCALNAME` XML local name for `EPPRegistryZoneSummary`.
    `static java.lang.String` | `ELM_NAME` XML root tag for `EPPRegistryZoneSummary`.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPRegistryZoneSummary()` Default constructor.
    `EPPRegistryZoneSummary(EPPRegistryZoneName aName, boolean aAccessible, java.util.Date aCreateDate)` Construct `EPPRegistryZoneSummary` with name and create date.
    `EPPRegistryZoneSummary(EPPRegistryZoneName aName, boolean aAccessible, java.util.Date aCreateDate, java.util.Date aUpdateDate)` Construct `EPPRegistryZoneSummary` with name, create date and last update date.
    `EPPRegistryZoneSummary(java.lang.String aName, boolean aAccessible, java.util.Date aCreateDate)` Construct `EPPRegistryZoneSummary` with aLabel name and create date.
    `EPPRegistryZoneSummary(java.lang.String aName, boolean aAccessible, java.util.Date aCreateDate, java.util.Date aUpdateDate)` Construct `EPPRegistryZoneSummary` with aLabel name, create date and last update date.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` Clone `EPPRegistryZoneSummary`.
    `void` | `decode(org.w3c.dom.Element aElement)` Decode the `EPPRegistryZoneSummary` attributes from the aElement DOM Element tree.
    `org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPRegistryZoneSummary` instance.
    `boolean` | `equals(java.lang.Object aObject)` implements a deep `EPPRegistryZoneSummary` compare.
    `java.util.Date` | `getCreateDate()` Get creation date of zone object.
    `EPPRegistryZoneName` | `getName()` Gets the zone name.
    `java.lang.String` | `getNamespace()` Returns the XML namespace associated with the `EPPCodecComponent`.
    `java.util.Date` | `getUpdateDate()` Get last update date of zone object.
    `boolean` | `isAccessible()` Is the zone accessible to the client?
    `void` | `setAccessible(boolean aAccessible)` Sets if the zone is access to the client.
    `void` | `setCreateDate(java.util.Date createDate)` Set creation date of zone object.
    `void` | `setName(EPPRegistryZoneName aName)` Sets the zone name
    `void` | `setName(java.lang.String aName)` Sets the aLabel zone name
    `void` | `setUpdateDate(java.util.Date updateDate)` Set last update date of zone object.
    `java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      XML local name for `EPPRegistryZoneSummary`.
      See Also:
        Constant Field Values

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      XML root tag for `EPPRegistryZoneSummary`.
      See Also:
        Constant Field Values

    - #### ATTR_ACCESSIBLE

          public static final java.lang.String ATTR_ACCESSIBLE

      XML attribute name for the `accessible` attribute.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPRegistryZoneSummary

          public EPPRegistryZoneSummary()

      Default constructor. Attributes are set to:
      - `name` - null
      - `createDate` - null
      - `updateDate` - null
      Use `setName(EPPRegistryZoneName)` and `setCreateDate(Date)` before calling `encode(Document)`

    - #### EPPRegistryZoneSummary

          public EPPRegistryZoneSummary(java.lang.String aName,
                                        boolean aAccessible,
                                        java.util.Date aCreateDate)

      Construct `EPPRegistryZoneSummary` with aLabel name and create date. `updateDate` is set to null.
      Parameters:
        `aName` - fully qualified aLabel name of zone object
        `aAccessible` - Indicates whether the zone is accessible with `true` or available with `false`.
        `aCreateDate` - creation date of zone object

    - #### EPPRegistryZoneSummary

          public EPPRegistryZoneSummary(EPPRegistryZoneName aName,
                                        boolean aAccessible,
                                        java.util.Date aCreateDate)

      Construct `EPPRegistryZoneSummary` with name and create date. `updateDate` is set to null.
      Parameters:
        `aName` - fully qualified name of zone object
        `aAccessible` - Indicates whether the zone is accessible with `true` or available with `false`.
        `aCreateDate` - creation date of zone object

    - #### EPPRegistryZoneSummary

          public EPPRegistryZoneSummary(java.lang.String aName,
                                        boolean aAccessible,
                                        java.util.Date aCreateDate,
                                        java.util.Date aUpdateDate)

      Construct `EPPRegistryZoneSummary` with aLabel name, create date and last update date.
      Parameters:
        `aName` - fully qualified aLabel name of zone object
        `aAccessible` - Indicates whether the zone is accessible with `true` or available with `false`.
        `aCreateDate` - creation date of zone object
        `aUpdateDate` - date of last update

    - #### EPPRegistryZoneSummary

          public EPPRegistryZoneSummary(EPPRegistryZoneName aName,
                                        boolean aAccessible,
                                        java.util.Date aCreateDate,
                                        java.util.Date aUpdateDate)

      Construct `EPPRegistryZoneSummary` with name, create date and last update date.
      Parameters:
        `aName` - fully qualified name of zone object
        `aAccessible` - Indicates whether the zone is accessible with `true` or available with `false`.
        `aCreateDate` - creation date of zone object
        `aUpdateDate` - date of last update

  - ### Method Detail

    - #### encode

          public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the `EPPRegistryZoneSummary` instance.
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Parameters:
        `aDocument` - DOM Document that is being built. Used as an Element factory.
      Returns:
        Element Root DOM Element representing the `EPPRegistryZoneSummary` instance.
      Throws:
        `EPPEncodeException` - - Unable to encode `EPPRegistryZoneSummary` instance.

    - #### decode

          public void decode(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

      Decode the `EPPRegistryZoneSummary` attributes from the aElement DOM Element tree.
      Specified by:
        `decode` in interface `EPPCodecComponent`
      Parameters:
        `aElement` - Root DOM Element to decode `EPPRegistryZoneSummary` from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement

    - #### equals

          public boolean equals(java.lang.Object aObject)

      implements a deep `EPPRegistryZoneSummary` compare.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `aObject` - `EPPRegistryZoneSummary` instance to compare with
      Returns:
        `true` if this object is the same as the aObject argument; `false` otherwise

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPRegistryZoneSummary`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        clone of `EPPRegistryZoneSummary`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### getName

          public EPPRegistryZoneName getName()

      Gets the zone name.
      Returns:
        Zone name if set; `null` otherwise.

    - #### setName

          public void setName(EPPRegistryZoneName aName)

      Sets the zone name
      Parameters:
        `aName` - Zone name

    - #### setName

          public void setName(java.lang.String aName)

      Sets the aLabel zone name
      Parameters:
        `aName` - aLabel zone name

    - #### getCreateDate

          public java.util.Date getCreateDate()

      Get creation date of zone object.
      Returns:
        creation date of zone object

    - #### setCreateDate

          public void setCreateDate(java.util.Date createDate)

      Set creation date of zone object.
      Parameters:
        `createDate` - creation date of zone object

    - #### getUpdateDate

          public java.util.Date getUpdateDate()

      Get last update date of zone object.
      Returns:
        last update date of zone object

    - #### setUpdateDate

          public void setUpdateDate(java.util.Date updateDate)

      Set last update date of zone object.
      Parameters:
        `updateDate` - last update date of zone object

    - #### isAccessible

          public boolean isAccessible()

      Is the zone accessible to the client?
      Returns:
        `true` if the zone is accessible; `false` otherwise.

    - #### setAccessible

          public void setAccessible(boolean aAccessible)

      Sets if the zone is access to the client.
      Parameters:
        `aAccessible` - `true` if the zone is accessible; `false` otherwise.

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPCodecComponent`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Returns:
        XML namespace for the `EPPCodecComponent`.

Copyright © VeriSign Inc. All Rights Reserved.